org.apache.hc.client5.http.protocol

## Class RequestAddCookies

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestAddCookies

All Implemented Interfaces:
  org.apache.hc.core5.http.HttpRequestInterceptor

    @Contract(threading=STATELESS)
    public class RequestAddCookies
    extends Object
    implements org.apache.hc.core5.http.HttpRequestInterceptor

Request interceptor that matches cookies available in the current `CookieStore` to the request being executed and generates corresponding `Cookie` request headers.

Since:
  4.0

### Field Summary

Fields
`static RequestAddCookies` `INSTANCE` Default instance of `RequestAddCookies`.

### Constructor Summary

Constructors
Constructor and Description
`RequestAddCookies()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.EntityDetails entity, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final RequestAddCookies INSTANCE

Default instance of `RequestAddCookies`.

Since:
  5.2

### Constructor Detail

#### RequestAddCookies

    public RequestAddCookies()

### Method Detail

#### process

    public void process(org.apache.hc.core5.http.HttpRequest request,
                        org.apache.hc.core5.http.EntityDetails entity,
                        org.apache.hc.core5.http.protocol.HttpContext context)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.hc.core5.http.HttpRequestInterceptor`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`